%   This source code is part of the graph optimization package
%   deveoped for the robotics lectures of the AIS lab at the 
%   University of Freiburg.
%  
%   Copyright (c) by Giorgio Grisetti, Gian Diego Tipaldi, Cyrill Stachniss
%  
%   It is licences under the Common Creative License,
%   Attribution-NonCommercial-ShareAlike 3.0
%  
%   You are free:
%     - to Share - to copy, distribute and transmit the work
%     - to Remix - to adapt the work
%  
%   Under the following conditions:
%  
%     - Attribution. You must attribute the work in the manner specified
%       by the author or licensor (but not in any way that suggests that
%       they endorse you or your use of the work).
%    
%     - Noncommercial. You may not use this work for commercial purposes.
%    
%     - Share Alike. If you alter, transform, or build upon this work,
%       you may distribute the resulting work only under the same or
%       similar license to this one.
%  
%   Any of the above conditions can be waived if you get permission
%   from the copyright holder.  Nothing in this license impairs or
%   restricts the author's moral rights.
%  
%   This software is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied 
%   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
%   PURPOSE.  

% computes the homogeneous transform matrix A of the pose vector v
function A=v2t(v)
    c=cos(v(3));
    s=sin(v(3));
    A=[c, -s, v(1) ;
       s,  c, v(2) ;
       0   0  1  ];
end
